### Function

# Babl model_new

#### Declaration [src]

    const Babl*
    babl_model_new (
      void* first_arg,
      ...
    )

#### Description [src]

Defines a new color model in babl. If no name is provided a name is generated by concatenating the name of all the involved components.

    babl_model_new      (["name", const char *name,]
                         BablComponent *component1,
                         [BablComponent *componentN, ...]
                         NULL);.

This function is not directly available to language bindings.

#### Parameters

`first_arg`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`...`

  Type: ``

  No description available.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.